### Constructor

# Gtk.Label.new

#### Declaration [src]

    GtkWidget*
    gtk_label_new (
      const char* str
    )

#### Description [src]

Creates a new label with the given text inside it.

You can pass `NULL` to get an empty label widget.

#### Parameters

`str` | `const char*`
| The text of the label
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkWidget`
the new `GtkLabel`
Ownership is not transferred to the caller